%define __tar /opt/freeware/bin/tar

%global modname pycurl

%define is_python %(test -e /opt/freeware/bin/python3_32 && echo 1 || echo 0)

%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /opt/freeware/bin/python3_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

Name:           python3-%{modname}
Version:        7.44.1
Release:        1
Summary:        A Python interface to libcurl
Group:          Applications/System

License:        LGPLv2+ or MIT
URL:            http://pycurl.sourceforge.net/
Source0:        https://dl.bintray.com/pycurl/pycurl/pycurl-%{version}.tar.gz


BuildRequires:  curl-devel >= 7.79.1-1
BuildRequires:  python3-devel >= 3.7.9 
BuildRequires:  zlib-devel >= 1.2.11
Requires:       curl >= 7.79.1-1
Requires:       python3 >= 3.7.9 
Requires:       zlib >= 1.2.11

%ifos aix5.1 || %ifos aix5.2 || %ifos aix5.3
Requires: AIX-rpm >= 5.1.0.50
Requires: AIX-rpm < 5.4.0.0
%endif

%ifos aix6.1 || %ifos aix7.1 || %ifos aix7.2
Requires: AIX-rpm >= 6.1.1.0
%endif

%define _libdir64 %{_prefix}/lib64

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.


%prep
%setup -q -n %{modname}-%{version}

# remove binaries packaged by upstream
rm -f tests/fake-curl/libcurl/*.so

# remove a test-case that relies on sftp://web.sourceforge.net being available
rm -f tests/ssh_key_cb_test.py

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
cd 64bit
export CC="/opt/freeware/bin/gcc -O2 -maix64"
export OBJECT_MODE=64
export LDFLAGS="-L%{_libdir64} -L%{_libdir} -Wl,-blibpath:%{_libdir64}:%{_libdir}:/usr/lib:/lib"
/opt/freeware/bin/python3 setup.py build

cd ../32bit
export CC="/opt/freeware/bin/gcc -O2 -maix32 -D_LARGE_FILES"
export OBJECT_MODE=32
export LDFLAGS="-L%{_libdir} -Wl,-blibpath:%{_libdir}:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
/opt/freeware/bin/python3_32 setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
/opt/freeware/bin/python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
/opt/freeware/bin/python3_32 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/pycurl


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n python3-%{modname}
%defattr(-,root,system,-)
%doc 32bit/ChangeLog 32bit/README.rst 32bit/examples 32bit/doc 32bit/tests
%{python_sitelib}/*
%{python_sitelib64}/*


%changelog
* Fri Nov 05 2021 Rishita Saha <risaha16@in.ibm.com> - 7.79.1-1
- Update to latest version

* Tue Jan 02 2018 Ravi Hirekurabar<rhirekur@in.ibm.com> - 7.43.0-1
- first 64bit version for AIX V5.1 and higher
